System Requirements and Browser Compatibility


Our Learning Management System (LMS) supports most modern browsers, in particular Google Chrome, Microsoft Edge, Mozilla Firefox, Safari, and Internet Explorer 9+. Both JavaScript and the use of cookies must be enabled (usually enabled by default). Java applets are not used in this training, therefore the Java plug-in is not required. Currently however, our training content does require the Adobe® Flash® Player. If you do not already have the Adobe® Flash® Player installed and enabled, you may download it at www.adobe.com.

If you need assistance in getting setup for your training, please contact our technical support department.

For more information call

800-711-2706